## org.eclipse.emf.ecore.xmi.impl
Class XMIResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl

All Implemented Interfaces:
  Resource.Factory

    public class XMIResourceFactoryImpl

extends ResourceFactoryImpl

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Constructor Summary
`XMIResourceFactoryImpl()` Constructor for XMIResourceFactoryImpl.

Method Summary
`Resource` `createResource(URI uri)` Returns a newly allocated default resource `implementation`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIResourceFactoryImpl

    public XMIResourceFactoryImpl()

  Constructor for XMIResourceFactoryImpl.

Method Detail

### createResource

    public Resource createResource(URI uri)

  Description copied from class: `ResourceFactoryImpl`
  Returns a newly allocated default resource `implementation`.

  Specified by:
    `createResource` in interface `Resource.Factory`
  Overrides:
    `createResource` in class `ResourceFactoryImpl`
  Parameters:
    `uri` - the URI.
  Returns:
    a new resource for the URI.
  See Also:
    `ResourceSet.createResource(URI)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.